Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phyredem.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phyredem.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phyredem.F90	(revision 4727)
@@ -15,9 +15,9 @@
                                 ftsol, beta_aridity, delta_tsurf, falb_dir,  &
                                 falb_dif, qsol, fevap, radsol, solsw, sollw, &
-                                sollwdown, rain_fall, snow_fall, z0m, z0h,   &
+                                sollwdown, rain_fall, snow_fall, bs_fall, z0m, z0h, &
                                 agesno, zmea, zstd, zsig, zgam, zthe, zpic,  &
                                 zval, rugoro, t_ancien, q_ancien,            &
-                                prw_ancien, prlw_ancien, prsw_ancien,        &
-                                ql_ancien, qs_ancien,  u_ancien,             &
+                                prw_ancien, prlw_ancien, prsw_ancien, prbsw_ancien,      &
+                                ql_ancien, qs_ancien, qbs_ancien,  u_ancien, &
                                 v_ancien, clwcon, rnebcon, ratqs, pbl_tke,   &
                                 wake_delta_pbl_tke, zmax0, f0, sig1, w01,    &
@@ -30,5 +30,5 @@
                                 du_gwd_rando, du_gwd_front, u10m, v10m, &
                                 treedrg, solswfdiff, delta_sal, ds_ns, dt_ns, &
-                                delta_sst, ratqs_inter, dter, dser, dt_ds
+                                delta_sst, ratqs_inter_, dter, dser, dt_ds
 #ifdef ISO
   USE phys_state_var_mod, ONLY: xtsol, fxtevap,xtrain_fall, xtsnow_fall,     &
@@ -261,4 +261,10 @@
     CALL put_field(pass,"QSANCIEN", "QSANCIEN", qs_ancien)
 
+    IF (ok_bs) THEN
+       CALL put_field(pass,"bs_f", "precipitation neige soufflee", bs_fall)
+       CALL put_field(pass,"QBSANCIEN", "QBSANCIEN", qbs_ancien)
+       CALL put_field(pass,"PRBSWANCIEN", "PRBSWANCIEN", prbsw_ancien)
+    ENDIF
+
     CALL put_field(pass,"PRWANCIEN", "PRWANCIEN", prw_ancien)
 
@@ -341,5 +347,5 @@
 
     ! fisrtilp/clouds
-    CALL put_field(pass,"RATQS_INTER","Relative width of the lsc sugrid scale water",ratqs_inter)
+    CALL put_field(pass,"RATQS_INTER","Relative width of the lsc sugrid scale water",ratqs_inter_)
 
 
@@ -581,7 +587,4 @@
       CALL put_field_srf1(pass, "XTEVAP"//TRIM(outiso), "Evaporation de surface",iso_tmp_lonsrf)
 
-      iso_tmp_lonsrf(:,:)=xtsnow(ixt,:,:)
-      CALL put_field_srf1(pass, "XTSNOW"//TRIM(outiso), "NEIGE",       iso_tmp_lonsrf)       
-
       iso_tmp(:)=xtrain_fall(ixt,:)
       CALL put_field(pass,    "xtrain_f"//TRIM(outiso), "precipitation liquide",iso_tmp)
@@ -602,19 +605,22 @@
       CALL put_field(pass,"WAKE_DELTAXT"//TRIM(outiso), "WAKE_DELTAQ", iso_tmp_lonlev)
 
+      iso_tmp_lonlev(:,:)=wake_deltaxt(ixt,:,:)
+      CALL put_field(pass,"WAKE_DELTAXT"//TRIM(outiso), "WAKE_DELTAXT",iso_tmp_lonlev)
+
+      ! variables seulement pour niso:
+      if (ixt.le.niso) then
+
+      iso_tmp_lonsrf(:,:)=xtsnow(ixt,:,:)
+      CALL put_field_srf1(pass, "XTSNOW"//TRIM(outiso), "NEIGE",       iso_tmp_lonsrf)
+
+      iso_tmp(:)=xtsol(ixt,:)
+      CALL put_field(pass,      "XTSOL"//TRIM(outiso), "Eau dans le sol (mm)",iso_tmp)
+
+      iso_tmp(:)=Rland_ice(ixt,:)
+      CALL put_field(pass,  "Rland_ice"//TRIM(outiso), "ratio land ice",      iso_tmp)
+
       iso_tmp(:)=xtrun_off_lic_0(ixt,:)
       CALL put_field(pass,"XTRUNOFFLIC0"//TRIM(outiso), "Runofflic0",  iso_tmp)
 
-      iso_tmp_lonlev(:,:)=wake_deltaxt(ixt,:,:)
-      CALL put_field(pass,"WAKE_DELTAXT"//TRIM(outiso), "WAKE_DELTAXT",iso_tmp_lonlev)
-
-      ! variables seulement pour niso:
-      if (ixt.le.niso) then
-
-      iso_tmp(:)=xtsol(ixt,:)
-      CALL put_field(pass,      "XTSOL"//TRIM(outiso), "Eau dans le sol (mm)",iso_tmp)
-
-      iso_tmp(:)=Rland_ice(ixt,:)
-      CALL put_field(pass,  "Rland_ice"//TRIM(outiso), "ratio land ice",      iso_tmp)
-
       endif ! if (ixt.le.niso) then
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_local_var_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_local_var_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_local_var_mod.F90	(revision 4727)
@@ -14,4 +14,6 @@
       REAL, SAVE, ALLOCATABLE :: ql_seri(:,:),qs_seri(:,:)
       !$OMP THREADPRIVATE(ql_seri,qs_seri)
+      REAL, SAVE, ALLOCATABLE :: qbs_seri(:,:)
+      !$OMP THREADPRIVATE(qbs_seri)
       REAL, SAVE, ALLOCATABLE :: u_seri(:,:), v_seri(:,:)
       !$OMP THREADPRIVATE(u_seri, v_seri)
@@ -26,8 +28,8 @@
       REAL, SAVE, ALLOCATABLE :: d_t_dyn(:,:), d_q_dyn(:,:)
       !$OMP THREADPRIVATE(d_t_dyn, d_q_dyn)
-      REAL, SAVE, ALLOCATABLE :: d_ql_dyn(:,:), d_qs_dyn(:,:)
-      !$OMP THREADPRIVATE(d_ql_dyn, d_qs_dyn)
-      REAL, SAVE, ALLOCATABLE :: d_q_dyn2d(:), d_ql_dyn2d(:), d_qs_dyn2d(:)
-      !$OMP THREADPRIVATE(d_q_dyn2d, d_ql_dyn2d, d_qs_dyn2d)
+      REAL, SAVE, ALLOCATABLE :: d_ql_dyn(:,:), d_qs_dyn(:,:), d_qbs_dyn(:,:)
+      !$OMP THREADPRIVATE(d_ql_dyn, d_qs_dyn, d_qbs_dyn)
+      REAL, SAVE, ALLOCATABLE :: d_q_dyn2d(:), d_ql_dyn2d(:), d_qs_dyn2d(:), d_qbs_dyn2d(:)
+      !$OMP THREADPRIVATE(d_q_dyn2d, d_ql_dyn2d, d_qs_dyn2d, d_qbs_dyn2d)
       REAL, SAVE, ALLOCATABLE :: d_u_dyn(:,:), d_v_dyn(:,:)
       !$OMP THREADPRIVATE(d_u_dyn, d_v_dyn)
@@ -69,6 +71,6 @@
       REAL, SAVE, ALLOCATABLE :: d_u_oli(:,:), d_v_oli(:,:)
       !$OMP THREADPRIVATE(d_u_oli, d_v_oli)
-      REAL, SAVE, ALLOCATABLE :: d_t_vdf(:,:), d_q_vdf(:,:), d_t_diss(:,:)
-      !$OMP THREADPRIVATE( d_t_vdf, d_q_vdf,d_t_diss)
+      REAL, SAVE, ALLOCATABLE :: d_t_vdf(:,:), d_q_vdf(:,:), d_qbs_vdf(:,:), d_t_diss(:,:)
+      !$OMP THREADPRIVATE( d_t_vdf, d_q_vdf, d_qbs_vdf, d_t_diss)
       REAL, SAVE, ALLOCATABLE :: d_u_vdf(:,:), d_v_vdf(:,:)
       !$OMP THREADPRIVATE(d_u_vdf, d_v_vdf)
@@ -78,4 +80,6 @@
       REAL, SAVE, ALLOCATABLE :: d_t_vdf_x(:,:), d_q_vdf_x(:,:)
       !$OMP THREADPRIVATE( d_t_vdf_x, d_q_vdf_x)
+      REAL, SAVE, ALLOCATABLE :: d_t_bs(:,:), d_q_bs(:,:), d_qbs_bs(:,:)
+      !$OMP THREADPRIVATE( d_t_bs,d_q_bs, d_qbs_bs)
 !>nrlmd+jyg
       REAL, SAVE, ALLOCATABLE :: d_t_oro(:,:)
@@ -194,30 +198,6 @@
       REAL, SAVE, ALLOCATABLE :: tau3d_aero(:,:,:,:) 
       !$OMP THREADPRIVATE(tau3d_aero) 
-      REAL, SAVE, ALLOCATABLE :: scdnc(:,:)
-      !$OMP THREADPRIVATE(scdnc)
       REAL, SAVE, ALLOCATABLE :: dNovrN(:) 
       !$OMP THREADPRIVATE(dNovrN) 
-      REAL, SAVE, ALLOCATABLE :: cldncl(:)
-      !$OMP THREADPRIVATE(cldncl)
-      REAL, SAVE, ALLOCATABLE :: reffclwtop(:)
-      !$OMP THREADPRIVATE(reffclwtop)
-      REAL, SAVE, ALLOCATABLE :: lcc(:)
-      !$OMP THREADPRIVATE(lcc)
-      REAL, SAVE, ALLOCATABLE :: reffclws(:,:)
-      !$OMP THREADPRIVATE(reffclws)
-      REAL, SAVE, ALLOCATABLE :: reffclwc(:,:)
-      !$OMP THREADPRIVATE(reffclwc)
-      REAL, SAVE, ALLOCATABLE :: cldnvi(:) 
-      !$OMP THREADPRIVATE(cldnvi)
-      REAL, SAVE, ALLOCATABLE :: lcc3d(:,:)
-      !$OMP THREADPRIVATE(lcc3d)
-      REAL, SAVE, ALLOCATABLE :: lcc3dcon(:,:)
-      !$OMP THREADPRIVATE(lcc3dcon)
-      REAL, SAVE, ALLOCATABLE :: lcc3dstra(:,:)
-      !$OMP THREADPRIVATE(lcc3dstra)
-      REAL, SAVE, ALLOCATABLE :: icc3dcon(:,:)
-      !$OMP THREADPRIVATE(icc3dcon)
-      REAL, SAVE, ALLOCATABLE :: icc3dstra(:,:)
-      !$OMP THREADPRIVATE(icc3dstra)
       REAL, SAVE, ALLOCATABLE :: zfice(:,:)
       !$OMP THREADPRIVATE(zfice)
@@ -313,4 +293,8 @@
 !$OMP THREADPRIVATE(sens, flwp, fiwp)
 !!
+!FC
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: zxfluxt, zxfluxq
+!$OMP THREADPRIVATE(zxfluxt, zxfluxq)
+!FC
 !!         Wake variables
       REAL,ALLOCATABLE,SAVE,DIMENSION(:)            :: alp_wake
@@ -361,6 +345,6 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: JrNt
 !$OMP THREADPRIVATE(JrNt)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: dthmin, evap, fder, plcl, plfc, prw, prlw, prsw
-!$OMP THREADPRIVATE(dthmin, evap, fder, plcl, plfc, prw, prlw, prsw)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: dthmin, evap, snowerosion, fder, plcl, plfc, prw, prlw, prsw, prbsw
+!$OMP THREADPRIVATE(dthmin, evap, snowerosion, fder, plcl, plfc, prw, prlw, prsw, prbsw)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zustar, zu10m, zv10m, rh2m
 !$OMP THREADPRIVATE(zustar, zu10m, zv10m, rh2m)
@@ -379,4 +363,6 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: tpot, tpote, ue, uq, uwat, ve, vq, vwat, zxffonte
 !$OMP THREADPRIVATE(tpot, tpote, ue, uq, uwat, ve, vq, vwat, zxffonte)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxustartlic, zxrhoslic
+!$OMP THREADPRIVATE(zxustartlic, zxrhoslic)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: zxfqcalving
 !$OMP THREADPRIVATE(zxfqcalving)
@@ -567,6 +553,6 @@
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: zx_rh, zx_rhl, zx_rhi
 !$OMP THREADPRIVATE(zx_rh, zx_rhl, zx_rhi)
-      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: prfl, psfl, fraca
-!$OMP THREADPRIVATE(prfl, psfl, fraca)
+      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: prfl, psfl, fraca, bsfl
+!$OMP THREADPRIVATE(prfl, psfl, fraca, bsfl)
       REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: Vprecip, zw2
 !$OMP THREADPRIVATE(Vprecip, zw2)
@@ -585,4 +571,10 @@
       REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: rneb,rnebjn,rneblsvol
 !$OMP THREADPRIVATE(rneb,rnebjn,rneblsvol)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: pfraclr,pfracld
+!$OMP THREADPRIVATE(pfraclr,pfracld)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: distcltop
+!$OMP THREADPRIVATE(distcltop)
+      REAL, SAVE, ALLOCATABLE :: temp_cltop(:,:) 
+!$OMP THREADPRIVATE(temp_cltop)
 
 ! variables de sorties MM
@@ -734,5 +726,5 @@
 
 IMPLICIT NONE
-      ALLOCATE(t_seri(klon,klev),q_seri(klon,klev),ql_seri(klon,klev),qs_seri(klon,klev))
+      ALLOCATE(t_seri(klon,klev),q_seri(klon,klev),ql_seri(klon,klev),qs_seri(klon,klev), qbs_seri(klon,klev))
       ALLOCATE(u_seri(klon,klev),v_seri(klon,klev))
       ALLOCATE(l_mixmin(klon,klev+1,nbsrf),l_mix(klon,klev+1,nbsrf),tke_dissip(klon,klev+1,nbsrf),wprime(klon,klev+1,nbsrf))
@@ -741,6 +733,6 @@
       ALLOCATE(tr_seri(klon,klev,nbtr))
       ALLOCATE(d_t_dyn(klon,klev),d_q_dyn(klon,klev))
-      ALLOCATE(d_ql_dyn(klon,klev),d_qs_dyn(klon,klev))
-      ALLOCATE(d_q_dyn2d(klon),d_ql_dyn2d(klon),d_qs_dyn2d(klon))
+      ALLOCATE(d_ql_dyn(klon,klev),d_qs_dyn(klon,klev), d_qbs_dyn(klon,klev))
+      ALLOCATE(d_q_dyn2d(klon),d_ql_dyn2d(klon),d_qs_dyn2d(klon), d_qbs_dyn2d(klon))
       ALLOCATE(d_u_dyn(klon,klev),d_v_dyn(klon,klev))
       ALLOCATE(d_tr_dyn(klon,klev,nbtr))                   !RomP
@@ -765,5 +757,6 @@
       ALLOCATE(plul_st(klon),plul_th(klon))
       ALLOCATE(d_t_vdf(klon,klev),d_q_vdf(klon,klev),d_t_diss(klon,klev))
-
+      ALLOCATE (d_qbs_vdf(klon,klev))
+      ALLOCATE(d_t_bs(klon,klev),d_q_bs(klon,klev),d_qbs_bs(klon,klev))
       ALLOCATE(d_t_vdf_w(klon,klev),d_q_vdf_w(klon,klev))
       ALLOCATE(d_t_vdf_x(klon,klev),d_q_vdf_x(klon,klev))
@@ -830,17 +823,5 @@
       ALLOCATE(drytausum_aero(klon,naero_tot))
       ALLOCATE(tau3d_aero(klon,klev,nwave,naero_tot)) 
-      ALLOCATE(scdnc(klon, klev))
       ALLOCATE(dNovrN(klon))
-      ALLOCATE(cldncl(klon))
-      ALLOCATE(reffclwtop(klon))
-      ALLOCATE(lcc(klon))
-      ALLOCATE(reffclws(klon, klev))
-      ALLOCATE(reffclwc(klon, klev))
-      ALLOCATE(cldnvi(klon))
-      ALLOCATE(lcc3d(klon, klev))
-      ALLOCATE(lcc3dcon(klon, klev))
-      ALLOCATE(lcc3dstra(klon, klev))
-      ALLOCATE(icc3dcon(klon, klev))
-      ALLOCATE(icc3dstra(klon, klev))
       ALLOCATE(zfice(klon, klev))
       ALLOCATE(od443aer(klon))
@@ -925,6 +906,6 @@
       ALLOCATE(cldm(klon), cldq(klon), cldt(klon), qsat2m(klon))
       ALLOCATE(JrNt(klon))
-      ALLOCATE(dthmin(klon), evap(klon), fder(klon), plcl(klon), plfc(klon))
-      ALLOCATE(prw(klon), prlw(klon), prsw(klon), zustar(klon), zu10m(klon), zv10m(klon), rh2m(klon))
+      ALLOCATE(dthmin(klon), evap(klon), snowerosion(klon), fder(klon), plcl(klon), plfc(klon))
+      ALLOCATE(prw(klon), prlw(klon), prsw(klon), prbsw(klon), zustar(klon), zu10m(klon), zv10m(klon), rh2m(klon))
       ALLOCATE(s_lcl(klon))
       ALLOCATE(s_pblh(klon), s_pblt(klon), s_therm(klon))
@@ -1012,4 +993,7 @@
       ALLOCATE(wfevap(klon, nbsrf), wfrain(klon,nbsrf), wfsnow(klon, nbsrf))
       ALLOCATE(evap_pot(klon, nbsrf))
+! FC
+      ALLOCATE(zxfluxq(klon,klev),zxfluxt(klon,klev))
+!
 !
 !  Deep convective variables used in phytrac
@@ -1055,4 +1039,5 @@
       ALLOCATE(prfl(klon, klev+1))
       ALLOCATE(psfl(klon, klev+1), fraca(klon, klev+1), Vprecip(klon, klev+1))
+      ALLOCATE(bsfl(klon,klev+1))
       ALLOCATE(zw2(klon, klev+1))
 
@@ -1068,5 +1053,8 @@
       ALLOCATE(beta_prec(klon,klev))
       ALLOCATE(rneb(klon,klev),rnebjn(klon,klev),rneblsvol(klon,klev))
-
+      ALLOCATE(pfraclr(klon,klev),pfracld(klon,klev))
+      pfraclr(:,:)=0. ; pfracld(:,:)=0. ! because not always defined
+      ALLOCATE(distcltop(klon,klev))
+      ALLOCATE(temp_cltop(klon,klev))
 
       ALLOCATE (zxsnow(klon),snowhgt(klon),qsnow(klon),to_ice(klon))
@@ -1141,5 +1129,5 @@
 USE indice_sol_mod
 IMPLICIT NONE
-      DEALLOCATE(t_seri,q_seri,ql_seri,qs_seri)
+      DEALLOCATE(t_seri,q_seri,ql_seri,qs_seri, qbs_seri)
       DEALLOCATE(u_seri,v_seri)
       DEALLOCATE(l_mixmin,l_mix, tke_dissip,wprime)
@@ -1147,6 +1135,6 @@
       DEALLOCATE(tr_seri)
       DEALLOCATE(d_t_dyn,d_q_dyn)
-      DEALLOCATE(d_ql_dyn,d_qs_dyn)
-      DEALLOCATE(d_q_dyn2d,d_ql_dyn2d,d_qs_dyn2d)
+      DEALLOCATE(d_ql_dyn,d_qs_dyn, d_qbs_dyn)
+      DEALLOCATE(d_q_dyn2d,d_ql_dyn2d,d_qs_dyn2d, d_qbs_dyn2d)
       DEALLOCATE(d_u_dyn,d_v_dyn)
       DEALLOCATE(d_tr_dyn)                      !RomP
@@ -1171,4 +1159,6 @@
       DEALLOCATE(plul_st,plul_th)
       DEALLOCATE(d_t_vdf,d_q_vdf,d_t_diss)
+      DEALLOCATE(d_qbs_vdf)
+      DEALLOCATE(d_t_bs,d_q_bs,d_qbs_bs)
 #ifdef ISO
       deallocate(xt_seri,xtl_seri,xts_seri)
@@ -1215,17 +1205,5 @@
       DEALLOCATE(drytausum_aero) 
       DEALLOCATE(tau3d_aero) 
-      DEALLOCATE(scdnc)
       DEALLOCATE(dNovrN)
-      DEALLOCATE(cldncl)
-      DEALLOCATE(reffclwtop)
-      DEALLOCATE(lcc)
-      DEALLOCATE(reffclws)
-      DEALLOCATE(reffclwc)
-      DEALLOCATE(cldnvi)
-      DEALLOCATE(lcc3d)
-      DEALLOCATE(lcc3dcon)
-      DEALLOCATE(lcc3dstra)
-      DEALLOCATE(icc3dcon)
-      DEALLOCATE(icc3dstra)
       DEALLOCATE(zfice)
       DEALLOCATE(od443aer)
@@ -1308,6 +1286,6 @@
       DEALLOCATE(cldm, cldq, cldt, qsat2m)
       DEALLOCATE(JrNt)
-      DEALLOCATE(dthmin, evap, fder, plcl, plfc)
-      DEALLOCATE(prw, prlw, prsw, zustar, zu10m, zv10m, rh2m, s_lcl)
+      DEALLOCATE(dthmin, evap, snowerosion, fder, plcl, plfc)
+      DEALLOCATE(prw, prlw, prsw, prbsw, zustar, zu10m, zv10m, rh2m, s_lcl)
       DEALLOCATE(s_pblh, s_pblt, s_therm)
 !
@@ -1322,4 +1300,5 @@
       DEALLOCATE(zxfqcalving, zxfluxlat)
       DEALLOCATE(zxrunofflic)
+      DEALLOCATE(zxustartlic, zxrhoslic)
       DEALLOCATE(zxtsol, snow_lsc, zxfqfonte, zxqsurf)
       DEALLOCATE(rain_lsc)
@@ -1364,4 +1343,6 @@
       DEALLOCATE(alp_bl_stat, n2, s2)
       DEALLOCATE(proba_notrig, random_notrig)
+!FC
+      DEALLOCATE(zxfluxq,zxfluxt)
 
       DEALLOCATE(dnwd0)
@@ -1423,5 +1404,5 @@
 
 
-      DEALLOCATE(prfl, psfl, fraca, Vprecip)
+      DEALLOCATE(prfl, psfl, bsfl, fraca, Vprecip)
       DEALLOCATE(zw2)
 
@@ -1436,4 +1417,7 @@
       DEALLOCATE(beta_prec)
       DEALLOCATE(rneb)
+      DEALLOCATE(pfraclr,pfracld)
+      DEALLOCATE(distcltop)
+      DEALLOCATE(temp_cltop)
       DEALLOCATE (zxsnow,snowhgt,qsnow,to_ice,sissnow,runoff,albsol3_lic)
 #ifdef ISO
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_output_ctrlout_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 4727)
@@ -378,7 +378,14 @@
   TYPE(ctrl_out), SAVE :: o_snow = ctrl_out((/ 1, 1, 10, 10, 5, 10, 11, 11, 11, 11/), &
     'snow', 'Snow fall', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_bsfall = ctrl_out((/ 10, 10, 10, 10, 5, 10, 11, 11, 11, 11/), &
+    'bsfall', 'Blowing Snow fall', 'kg/(s*m2)', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_evap = ctrl_out((/ 1, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'evap', 'Evaporat', 'kg/(s*m2)', (/ ('', i=1, 10) /))
-
+  TYPE(ctrl_out), SAVE :: o_snowerosion = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+   'snowerosion', 'blowing snow flux', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_ustart_lic = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), & 
+    'ustart_lic', 'threshold velocity', 'm/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_rhosnow_lic = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
+    'rhosnow_lic', 'snow density lic', 'kg/m3', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_sens_prec_liq_oce = ctrl_out((/ 5, 5, 10, 10, 5, 10, 11, 11, 11, 11/), &
     'sens_rain_oce', 'Sensible heat flux of liquid prec. over ocean', 'W/m2', (/ ('', i=1, 10) /))
@@ -743,4 +750,6 @@
   TYPE(ctrl_out), SAVE :: o_prsw = ctrl_out((/ 1, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'prsw', 'Precipitable solid water', 'kg/m2', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_prbsw = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'prbsw', 'Precipitable blowing snow', 'kg/m2', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_s_pblh = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     's_pblh', 'Boundary Layer Height', 'm', (/ ('', i=1, 10) /))
@@ -1413,7 +1422,7 @@
     'ec550aer', 'Extinction at 550nm', 'm^-1', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_lwcon = ctrl_out((/ 2, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'lwcon', 'Cloud liquid water content', 'kg/kg', (/ ('', i=1, 10) /))
+    'lwcon', 'Cloud liquid water content seen by radiation', 'kg/kg', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_iwcon = ctrl_out((/ 2, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'iwcon', 'Cloud ice water content', 'kg/kg', (/ ('', i=1, 10) /))
+    'iwcon', 'Cloud ice water content seen by radiation', 'kg/kg', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_temp = ctrl_out((/ 2, 3, 4, 10, 10, 10, 11, 11, 11, 11/), &
     'temp', 'Air temperature', 'K', (/ ('', i=1, 10) /))
@@ -1432,4 +1441,6 @@
   TYPE(ctrl_out), SAVE :: o_ocond = ctrl_out((/ 2, 3, 4, 10, 10, 10, 11, 11, 11, 11/), &
     'ocond', 'Condensed water', 'kg/kg', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_qbs = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'qbs', 'Specific content of blowing snow', 'kg/kg', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_wvapp = ctrl_out((/ 2, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'wvapp', '', '', (/ ('', i=1, 10) /))
@@ -1462,4 +1473,8 @@
   TYPE(ctrl_out), SAVE :: o_rneblsvol = ctrl_out((/ 2, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'rneblsvol', 'LS Cloud fraction by volume', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_pfraclr = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
+    'pfraclr', 'LS precipitation fraction clear-sky part', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_pfracld = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
+    'pfracld', 'LS precipitation fraction cloudy part', '-', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rhum = ctrl_out((/ 2, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'rhum', 'Relative humidity', '-', (/ ('', i=1, 10) /))
@@ -1494,4 +1509,8 @@
   TYPE(ctrl_out), SAVE :: o_dqsphy2d = ctrl_out((/ 2, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'dqsphy2d', 'Physics dQS', '(kg/m2)/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_dqbsphy = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'dqbsphy', 'Physics dQBS', '(kg/kg)/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_dqbsphy2d = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'dqbsphy2d', 'Physics dQBS', '(kg/m2)/s', (/ ('', i=1, 10) /)) 
   TYPE(ctrl_out), SAVE :: o_pr_con_l = ctrl_out((/ 2, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'pr_con_l', 'Convective precipitation lic', ' ', (/ ('', i=1, 10) /))
@@ -1502,4 +1521,6 @@
   TYPE(ctrl_out), SAVE :: o_pr_lsc_i = ctrl_out((/ 2, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'pr_lsc_i', 'Large scale precipitation ice', ' ', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_pr_bs = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'pr_bs', 'profile of blowing snow flux', ' ', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_re = ctrl_out((/ 5, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     're', 'Cloud droplet effective radius', 'um', (/ ('', i=1, 10) /))
@@ -1530,4 +1551,9 @@
   TYPE(ctrl_out), SAVE :: o_stratomask = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'stratomask', 'Stratospheric fraction', '1', (/ ('', i=1, 10) /))
+!FC
+  TYPE(ctrl_out), SAVE :: o_zxfluxt = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'fluxt', 'flux h ', 'W/m2', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_zxfluxq = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'fluxq', 'flux q ', 'kg/(s*m2)', (/ ('', i=1, 10) /))
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
@@ -1599,4 +1625,8 @@
   TYPE(ctrl_out), SAVE :: o_dqsdyn2d = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'dqsdyn2d', 'Dynamics dQS', '(kg/m2)/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_dqbsdyn = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'dqbsdyn', 'Dynamics dQBS', '(kg/kg)/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_dqbsdyn2d = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'dqbsdyn2d', 'Dynamics dQBS', '(kg/m2)/s', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_dudyn = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'dudyn', 'Dynamics dU', 'm/s2', (/ ('', i=1, 10) /))
@@ -1673,4 +1703,12 @@
   TYPE(ctrl_out), SAVE :: o_dqeva2d = ctrl_out((/ 4, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'dqeva2d', 'Reevaporation dQ', '(kg/m2)/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_dqbsvdf = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'dqbsvdf', 'Boundary-layer dQBS', '(kg/kg)/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_dqbsbs = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'dqbsbs', 'Blowing snow dQBS', '(kg/kg)/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_dtbs = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'dtbs', 'Blowing snow dT', '(K)/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_dqbs = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'dqbs', 'Blowing snow dQ', '(kg/kg)/s', (/ ('', i=1, 10) /))
 
 !!!!!!!!!!!!!!!! Specifique thermiques
@@ -1835,4 +1873,5 @@
   TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_xtprecip(:)
   TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_xtevap(:)
+  TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_xtevap_srf(:,:) ! ajout Camille 8 mai 2023
   TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_xtplul(:)
   TYPE(ctrl_out), SAVE, ALLOCATABLE :: o_xtpluc(:)
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_output_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmdiso/phys_output_mod.F90	(revision 4727)
@@ -47,8 +47,6 @@
     USE vertical_layers_mod, ONLY: ap,bp,preff,presnivs, aps, bps, pseudoalt
     USE time_phylmdz_mod, ONLY: day_ini, itau_phy, start_time, annee_ref, day_ref
-#ifdef CPP_XIOS
     ! ug Pour les sorties XIOS
     USE wxios
-#endif
 #ifdef ISO
     USE isotopes_mod, ONLY: isoName,iso_HTO
@@ -140,5 +138,4 @@
     REAL, DIMENSION(klev+1)   :: lev_index
                 
-#ifdef CPP_XIOS
     ! ug Variables utilis\'ees pour r\'ecup\'erer le calendrier pour xios
     INTEGER :: x_an, x_mois, x_jour
@@ -146,5 +143,4 @@
     INTEGER :: ini_an, ini_mois, ini_jour
     REAL :: ini_heure
-#endif
     INTEGER                         :: ISW
     REAL, DIMENSION(NSW)            :: wl1_sun, wl2_sun !wavelength bounds (in um) for SW
@@ -178,4 +174,5 @@
     ALLOCATE(o_xtpluc(ntraciso))
     ALLOCATE(o_xtevap(ntraciso))
+    ALLOCATE(o_xtevap_srf(ntraciso,4))
     ALLOCATE(o_xtovap(ntraciso))
     ALLOCATE(o_xtoliq(ntraciso))
@@ -325,12 +322,12 @@
      ENDIF
 
-#ifdef CPP_XIOS
-    ! ug R\'eglage du calendrier xios
-    !Temps julian => an, mois, jour, heure
-    CALL ju2ymds(zjulian, x_an, x_mois, x_jour, x_heure)
-    CALL ju2ymds(zjulian_start, ini_an, ini_mois, ini_jour, ini_heure)
-    CALL wxios_set_cal(dtime, calend, x_an, x_mois, x_jour, x_heure, ini_an, &
-                       ini_mois, ini_jour, ini_heure )
-#endif
+    IF (using_xios) THEN
+      ! ug R\'eglage du calendrier xios
+      !Temps julian => an, mois, jour, heure
+      CALL ju2ymds(zjulian, x_an, x_mois, x_jour, x_heure)
+      CALL ju2ymds(zjulian_start, ini_an, ini_mois, ini_jour, ini_heure)
+      CALL wxios_set_cal(dtime, calend, x_an, x_mois, x_jour, x_heure, ini_an, &
+                         ini_mois, ini_jour, ini_heure )
+    ENDIF
 
 !!!!!!!!!!!!!!!!!!!!!!! Boucle sur les fichiers !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -365,62 +362,62 @@
 
 
-#ifdef CPP_XIOS
+    IF (using_xios) THEN
 !!! Ouverture de chaque fichier XIOS !!!!!!!!!!!
-    IF (.not. ok_all_xml) THEN
+      IF (.not. ok_all_xml) THEN
+        IF (prt_level >= 10) THEN
+         print*,'phys_output_open: call wxios_add_file with phys_out_filenames(iff)=',trim(phys_out_filenames(iff))    
+        ENDIF
+        CALL wxios_add_file(phys_out_filenames(iff),chtimestep(iff),lev_files(iff))  
+      ENDIF
+
+!!! Declaration des axes verticaux de chaque fichier:
       IF (prt_level >= 10) THEN
-        print*,'phys_output_open: call wxios_add_file with phys_out_filenames(iff)=',trim(phys_out_filenames(iff))    
+        print*,'phys_output_open: Declare vertical axes for each file'
       ENDIF
-      CALL wxios_add_file(phys_out_filenames(iff),chtimestep(iff),lev_files(iff))  
-    ENDIF
-
-!!! Declaration des axes verticaux de chaque fichier:
-    IF (prt_level >= 10) THEN
-      print*,'phys_output_open: Declare vertical axes for each file'
-    ENDIF
-
-   IF (iff.LE.6.OR.iff.EQ.10) THEN
-    CALL wxios_add_vaxis("presnivs", &
-            levmax(iff) - levmin(iff) + 1, presnivs(levmin(iff):levmax(iff)))
-    CALL wxios_add_vaxis("Ahyb", &
+
+      IF (iff.LE.6.OR.iff.EQ.10) THEN
+        CALL wxios_add_vaxis("presnivs", &
+             levmax(iff) - levmin(iff) + 1, presnivs(levmin(iff):levmax(iff)))
+        CALL wxios_add_vaxis("Ahyb", &
             levmax(iff) - levmin(iff) + 1, aps(levmin(iff):levmax(iff)), positif='down', &
             bnds=Ahyb_bounds(levmin(iff):levmax(iff),:))
-    CALL wxios_add_vaxis("Bhyb", &
+        CALL wxios_add_vaxis("Bhyb", &
             levmax(iff) - levmin(iff) + 1, bps(levmin(iff):levmax(iff)), positif='down', &
             bnds=Bhyb_bounds(levmin(iff):levmax(iff),:))
-    CALL wxios_add_vaxis("klev", levmax(iff) - levmin(iff) + 1, &
+        CALL wxios_add_vaxis("klev", levmax(iff) - levmin(iff) + 1, &
                           lev_index(levmin(iff):levmax(iff)))
-    CALL wxios_add_vaxis("klevp1", klev+1, &
+        CALL wxios_add_vaxis("klevp1", klev+1, &
                           lev_index(1:klev+1))
-    CALL wxios_add_vaxis("bnds", 2, (/1.,2./))
-
-    CALL wxios_add_vaxis("Alt", &
+        CALL wxios_add_vaxis("bnds", 2, (/1.,2./))
+
+        CALL wxios_add_vaxis("Alt", &
             levmax(iff) - levmin(iff) + 1, pseudoalt)
-
-    ! wl1_sun/wl2_sun: minimum/maximum bound of wavelength (in um)
-    SELECT CASE(NSW)
-      CASE(6)
-        wl1_sun(1:6) = [0.180, 0.250, 0.440, 0.690, 1.190, 2.380]
-        wl2_sun(1:6) = [0.250, 0.440, 0.690, 1.190, 2.380, 4.000]
-      CASE(2)
-        wl1_sun(1:2) = [0.250, 0.690]
-        wl2_sun(1:2) = [0.690, 4.000]
-    END SELECT
-
-    DO ISW=1, NSW
-     wn1_sun(ISW)=1.e+6/wl1_sun(ISW) 
-     wn2_sun(ISW)=1.e+6/wl2_sun(ISW) 
-     spbnds_sun(ISW,1)=wn2_sun(ISW)
-     spbnds_sun(ISW,2)=wn1_sun(ISW)
-     spectband(ISW)=(wn1_sun(ISW)+wn2_sun(ISW))/2
-    ENDDO
+  
+        ! wl1_sun/wl2_sun: minimum/maximum bound of wavelength (in um)
+        SELECT CASE(NSW)
+          CASE(6)
+          wl1_sun(1:6) = [0.180, 0.250, 0.440, 0.690, 1.190, 2.380]
+          wl2_sun(1:6) = [0.250, 0.440, 0.690, 1.190, 2.380, 4.000]
+        CASE(2)
+          wl1_sun(1:2) = [0.250, 0.690]
+          wl2_sun(1:2) = [0.690, 4.000]
+        END SELECT
+
+        DO ISW=1, NSW
+          wn1_sun(ISW)=1.e+6/wl1_sun(ISW) 
+          wn2_sun(ISW)=1.e+6/wl2_sun(ISW) 
+          spbnds_sun(ISW,1)=wn2_sun(ISW)
+          spbnds_sun(ISW,2)=wn1_sun(ISW)
+          spectband(ISW)=(wn1_sun(ISW)+wn2_sun(ISW))/2
+        ENDDO
 !
 !!! ajout axe vertical spectband : solar band number
-    CALL wxios_add_vaxis("spectband", NSW, spectband, positif='down')
-   ELSE
+        CALL wxios_add_vaxis("spectband", NSW, spectband, positif='down')
+      ELSE
     ! NMC files
-    CALL wxios_add_vaxis("plev", &
+        CALL wxios_add_vaxis("plev", &
             levmax(iff) - levmin(iff) + 1, rlevSTD(levmin(iff):levmax(iff)))
-   ENDIF
-#endif 
+      ENDIF
+    ENDIF 
 
         IF (clef_files(iff)) THEN
@@ -557,4 +554,11 @@
       o_xtplul  (ixt)=ctrl_out(flag,   'plul'//TRIM(outiso),   'Large-scale Precip.', unit, [('',i=1,nfiles)])
       o_xtevap  (ixt)=ctrl_out(flag,   'evap'//TRIM(outiso),             'Evaporat.', unit, [('',i=1,nfiles)])
+
+      ! ajout Camille 8 mai 2023
+      flag = [1, 6, 10, 10, 10, 10, 11, 11, 11, 11]
+      o_xtevap_srf (ixt,1)=ctrl_out(flag,   'evap_ter'//TRIM(outiso), 'Evap sfc'//clnsurf(1), unit, [('',i=1,nfiles)])
+      o_xtevap_srf (ixt,2)=ctrl_out(flag,   'evap_lic'//TRIM(outiso), 'Evap sfc'//clnsurf(2), unit, [('',i=1,nfiles)])
+      o_xtevap_srf (ixt,3)=ctrl_out(flag,   'evap_oce'//TRIM(outiso), 'Evap sfc'//clnsurf(3), unit, [('',i=1,nfiles)])
+      o_xtevap_srf (ixt,4)=ctrl_out(flag,   'evap_sic'//TRIM(outiso), 'Evap sfc'//clnsurf(4), unit, [('',i=1,nfiles)])
 
       flag = [2,  3,  4, 10, 10, 10, 11, 11, 11, 11]; unit = 'kg/kg'
